UntangledAPI
Api referenceExtract

Extract structured fields from a contract

POST
/v1/extract/contract

Authorization

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.untangledapi.com/v1/extract/contract" \  -H "Content-Type: application/json" \  -d '{    "document": {}  }'
{
  "data": {
    "title": "string",
    "parties": [
      {
        "name": "string",
        "role": "string"
      }
    ],
    "effectiveDate": "string",
    "expirationDate": "string",
    "governingLaw": "string",
    "totalValue": 0,
    "currency": "string",
    "terminationClauses": [
      "string"
    ],
    "renewalClauses": [
      "string"
    ],
    "keyObligations": [
      "string"
    ]
  },
  "model": "string",
  "usage": {
    "inputTokens": 0,
    "outputTokens": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "plan_limit_exceeded",
    "message": "string",
    "details": {
      "plan": "free",
      "bucketHeu": 0,
      "requestedHeu": 0,
      "upgradeUrl": "http://example.com"
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}